> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Firewall

> Deletes a specified firewall. Location-specific endpoint.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json delete /network/firewalls/{firewallUuid}
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /network/firewalls/{firewallUuid}:
    delete:
      tags:
        - Firewall
      summary: Delete Firewall
      description: Deletes a specified firewall. Location-specific endpoint.
      operationId: deleteFirewall
      parameters:
        - name: firewallUuid
          in: path
          required: true
          schema:
            type: string
          description: UUID of the firewall to delete
          example: 2a874f44-310f-4df8-9340-1dc274c2bd51
      responses:
        '204':
          description: HTTP 204 No Content
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````